d2i_ASN1_OBJECT(3) | OpenSSL | d2i_ASN1_OBJECT(3)

# NAME

d2i_ASN1_OBJECT, i2d_ASN1_OBJECT - ASN1 OBJECT IDENTIFIER functions

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/objects.h>
ASN1_OBJECT *d2i_ASN1_OBJECT(ASN1_OBJECT **a, unsigned char **pp, long length);
int i2d_ASN1_OBJECT(ASN1_OBJECT *a, unsigned char **pp);

# DESCRIPTION

These functions decode and encode an ASN1 OBJECT IDENTIFIER.

Othewise these behave in a similar way to d2i_X509() and i2d_X509() described in the d2i_X509(3) manual page.

# SEE ALSO

d2i_X509(3)

# HISTORY

TBA

2009-07-19 | 1.0.1u